AverageMIDIFileData

data

## Class AverageMIDIFileData

- java.lang.Object
- - data.MIDIFileData
  - - data.AverageMIDIFileData

-     public class AverageMIDIFileData
      extends MIDIFileData

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.util.LinkedHashMap<java.lang.String,java.lang.Integer>` | `instrumentGroup`
    `private java.util.LinkedHashMap<java.lang.String,java.lang.Integer>` | `keyGroup`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AverageMIDIFileData()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.LinkedHashMap<java.lang.String,java.lang.Integer>` | `getInstrumentGroup()`
    `java.util.LinkedHashMap<java.lang.String,java.lang.Integer>` | `getKeyGroup()`
    `void` | `incInstrument(int instrument)`
    `void` | `incKey(java.lang.String key)`

    - ### Methods inherited from class data.MIDIFileData

      `addInstrument, addPercussion, getAscending, getDescending, getFilepath, getHighNote, getId, getInstruments, getKey, getLongestNote, getLowNote, getOther, getPercussion, getPitch, getPitches, getShortestNote, getTitle, increasePitch, setAscending, setDescending, setFilepath, setHighNote, setId, setKey, setLongestNote, setLowNote, setOther, setPitch, setShortestNote, setTitle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instrumentGroup

          private java.util.LinkedHashMap<java.lang.String,java.lang.Integer> instrumentGroup

    - #### keyGroup

          private java.util.LinkedHashMap<java.lang.String,java.lang.Integer> keyGroup

  - ### Constructor Detail

    - #### AverageMIDIFileData

          public AverageMIDIFileData()

  - ### Method Detail

    - #### getInstrumentGroup

          public java.util.LinkedHashMap<java.lang.String,java.lang.Integer> getInstrumentGroup()

    - #### incInstrument

          public void incInstrument(int instrument)

    - #### incKey

          public void incKey(java.lang.String key)

    - #### getKeyGroup

          public java.util.LinkedHashMap<java.lang.String,java.lang.Integer> getKeyGroup()